
from Tkinter import *

class App:

	def __init__(self, master):
		frame = Frame(master)
		frame.pack()
		#Standard button
		self.button = Button(frame, text="QUIT", fg="red", command=quit)
		self.button.pack(side=LEFT)
		#Image button
		self.gem_image = PhotoImage(file="pi.gif")
		self.slogan = Button(frame, relief=RIDGE,bg="red", activebackground="green", image=self.gem_image, command=self.write_slogan)
		self.slogan.pack(side=LEFT)
		#OptionMenu
		self.choicelist = ("red", "blue", "green")
		self.om_variable = StringVar()
		self.om_variable.set(self.choicelist[0])
		self.om = OptionMenu(frame, self.om_variable, *self.choicelist)
		self.om.pack(side=LEFT)
		
		#Scale
		self.slider1 = Scale(frame, orient=HORIZONTAL, bg="black", showvalue=0, relief="groove", troughcolor="red", resolution=10, command=self.adjust1)
		self.slider2 = Scale(frame, orient=HORIZONTAL, troughcolor="blue", resolution=10, command=self.adjust2)
		self.slider1.pack(side=LEFT)
		self.slider2.pack(side=LEFT)

	def write_slogan(self):
		print("slider1")
		print(str(self.slider1.get()))
		print("slider2")
		print(str(self.slider2.get()))

	def adjust1(self,value):
		self.slider2.set(100 - self.slider1.get())

	def adjust2(self,value):
		self.slider1.set(100 - self.slider2.get())

root = Tk()
app = App(root)
root.mainloop()
