
import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BCM)

GPIO.setup(21, GPIO.OUT)
GPIO.setup(27, GPIO.IN,pull_up_down=GPIO.PUD_DOWN)
GPIO.setup(25, GPIO.IN,pull_up_down=GPIO.PUD_DOWN)

def set_speed(pulse_time):
        global p
        valley = 20 #time between each pulse for motor servo control (msec)
        peak = pulse_time
    
        freq = 1/((valley+peak)*0.001)
        duty = peak/(valley+peak)*100

        p.ChangeFrequency(freq)
        p.ChangeDutyCycle(duty)

p = GPIO.PWM(21, 47)
p.start(0)

set_speed(1.4)
cntr = 0
try:
	while True:
		
		while GPIO.input(27):
			print('27')
			cntr += 1
			if cntr >= 100:
				set_speed(1.45)
				time.sleep(.4)
				set_speed(0)
				time.sleep(2)
				set_speed(1.4)
				time.sleep(.4)
				print('triggered')
				break
		cntr = 0

		while GPIO.input(25):
		#	print('25')
			cntr += 1
			if cntr >= 100:
				set_speed(1.45)
				time.sleep(.4)
				set_speed(0)
				time.sleep(2)
				set_speed(1.4)
				time.sleep(.4)
				print('triggered')
				break
		cntr = 0			
except KeyboardInterrupt:
	p.stop()
	GPIO.cleanup()
	quit()
