import RPi.GPIO as GPIO
import time
from multiprocessing.connection import Listener

address = ('localhost', 6000)     # family is deduced to be 'AF_INET'
listener = Listener(address)
conn = listener.accept()

GPIO.setmode(GPIO.BCM)

GPIO.setup(16, GPIO.OUT)

def set_speed(pulse_time):
        global p
        valley = 20 #time between each pulse for motor servo control (msec)
        peak = pulse_time
    
        freq = 1/((valley+peak)*0.001)
        duty = peak/(valley+peak)*100

        p.ChangeFrequency(freq)
        p.ChangeDutyCycle(duty)

p = GPIO.PWM(16, 47)
p.start(0)

set_speed(1.5)

try:
	while True:
		speed = conn.recv()
		print(speed)
		set_speed(float(speed))
		
except (KeyboardInterrupt, ValueError):
	p.stop()
	GPIO.cleanup()
	listener.close()
	quit()
